<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: DataPlot.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_data_plot_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">DataPlot.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_data_plot_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef DATAPLOT_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define DATAPLOT_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_send_data_8h.html">SendData.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>DataPlot_impl;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>IODataElement;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_data_plot.html">   34</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_data_plot.html">DataPlot</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1gui_1_1_send_data.html">SendData</a> {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">   40</a></span>&#160;  <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea785377b2f1b0af2b89cbfb67634e2228">   41</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea785377b2f1b0af2b89cbfb67634e2228">Red</a> ,</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037eae1641ba5152994ecc58efff2a398a32b">   42</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037eae1641ba5152994ecc58efff2a398a32b">Blue</a> ,</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea374b960f86add9651cc52c2989eca94f">   43</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea374b960f86add9651cc52c2989eca94f">Green</a> ,</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998">   44</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998">Yellow</a> ,</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea69bbac9b78ee7f9d7edb487dc4c3f6c9">   45</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea69bbac9b78ee7f9d7edb487dc4c3f6c9">Black</a> ,</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea63c1818c546addda90938609b25db2c6">   46</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea63c1818c546addda90938609b25db2c6">White</a> ,</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  } <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">Color_t</a>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot.html#aedc7eac059c79fd149534b16079dd24b">DataPlot</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, std::string type);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a3e11a8f6bda0e3ddbb2c0ebd8dc9ad04">~DataPlot</a>();</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a382d7831b206f0c4adfcedfd4b483c11">AddDataToSend</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *element);</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span> *buf) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordtype">void</span> ExtraXmlEvent(<span class="keywordtype">void</span>){};</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="keyword">class </span>DataPlot_impl *pimpl_;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;};</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespaceflair_1_1gui.html#ac2b91d74c915c84692d6c88be1958751">RGBFromColor</a>(<a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">DataPlot::Color_t</a> color, uint8_t &amp;r, uint8_t &amp;g, uint8_t &amp;b);</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;} <span class="comment">// end namespace gui</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="preprocessor">#endif // DATAPLOT_H</span></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a0e106271554ff92ebeb94d22014f037ea374b960f86add9651cc52c2989eca94f"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea374b960f86add9651cc52c2989eca94f">flair::gui::DataPlot::Green</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:43</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a382d7831b206f0c4adfcedfd4b483c11"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a382d7831b206f0c4adfcedfd4b483c11">flair::gui::DataPlot::AddDataToSend</a></div><div class="ttdeci">void AddDataToSend(const core::IODataElement *element)</div><div class="ttdoc">Add an IODataElement to the plot. </div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a0e106271554ff92ebeb94d22014f037ea785377b2f1b0af2b89cbfb67634e2228"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea785377b2f1b0af2b89cbfb67634e2228">flair::gui::DataPlot::Red</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:41</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html">flair::gui::DataPlot</a></div><div class="ttdoc">Abstract class to display plots on ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot.h:34</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_aedc7eac059c79fd149534b16079dd24b"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#aedc7eac059c79fd149534b16079dd24b">flair::gui::DataPlot::DataPlot</a></div><div class="ttdeci">DataPlot(const LayoutPosition *position, std::string name, std::string type)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a0e106271554ff92ebeb94d22014f037ea69bbac9b78ee7f9d7edb487dc4c3f6c9"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea69bbac9b78ee7f9d7edb487dc4c3f6c9">flair::gui::DataPlot::Black</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:45</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a3e11a8f6bda0e3ddbb2c0ebd8dc9ad04"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a3e11a8f6bda0e3ddbb2c0ebd8dc9ad04">flair::gui::DataPlot::~DataPlot</a></div><div class="ttdeci">~DataPlot()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998">flair::gui::DataPlot::Yellow</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:44</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a0e106271554ff92ebeb94d22014f037ea63c1818c546addda90938609b25db2c6"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea63c1818c546addda90938609b25db2c6">flair::gui::DataPlot::White</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:46</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a0e106271554ff92ebeb94d22014f037eae1641ba5152994ecc58efff2a398a32b"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037eae1641ba5152994ecc58efff2a398a32b">flair::gui::DataPlot::Blue</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:42</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_data_element.html">flair::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:27</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="_send_data_8h_html"><div class="ttname"><a href="_send_data_8h.html">SendData.h</a></div><div class="ttdoc">Abstract class for sending datas to ground station. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a0e106271554ff92ebeb94d22014f037e"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">flair::gui::DataPlot::Color_t</a></div><div class="ttdeci">Color_t</div><div class="ttdoc">Types of colors. </div><div class="ttdef"><b>Definition:</b> DataPlot.h:40</div></div>
<div class="ttc" id="namespaceflair_1_1gui_html_ac2b91d74c915c84692d6c88be1958751"><div class="ttname"><a href="namespaceflair_1_1gui.html#ac2b91d74c915c84692d6c88be1958751">flair::gui::RGBFromColor</a></div><div class="ttdeci">void RGBFromColor(DataPlot::Color_t color, uint8_t &amp;r, uint8_t &amp;g, uint8_t &amp;b)</div><div class="ttdoc">Get RGB components from color type. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_send_data_html"><div class="ttname"><a href="classflair_1_1gui_1_1_send_data.html">flair::gui::SendData</a></div><div class="ttdoc">Abstract class for sending datas to ground station. </div><div class="ttdef"><b>Definition:</b> SendData.h:29</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_data_plot_8h.html">DataPlot.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
